/*******************************************************************************
 * FoxBillboardUIHeroPoseName generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxBillboardUIHeroPoseName extends FoxBillboardUIObjectBase within GFxMoviePlayer
    native(HUD)
    config(HUD);

var transient FoxHeroPoseActor HeroPoseActor;
var float HelmetHeight;
var const string FirstPlaceIconRef;
var const string SecondPlaceIconRef;
var const string ThridPlaceIconRef;
var const string FourthPlaceIconRef;

function as_SetPlayerName(string NewName)
{
    SetString("playerName", NewName);
    // End:0x9E
    if(HeroPoseActor.PlayerRank == 1)
    {
        SetString("resultsString", class'FoxHUD'.default.LocStringFirstPlace);
        SetString("placeIcon", FirstPlaceIconRef);
    }
    // End:0x218
    else
    {
        // End:0x11D
        if(HeroPoseActor.PlayerRank == 2)
        {
            SetString("resultsString", class'FoxHUD'.default.LocStringSecondPlace);
            SetString("placeIcon", SecondPlaceIconRef);
        }
        // End:0x218
        else
        {
            // End:0x19C
            if(HeroPoseActor.PlayerRank == 3)
            {
                SetString("resultsString", class'FoxHUD'.default.LocStringThirdPlace);
                SetString("placeIcon", ThridPlaceIconRef);
            }
            // End:0x218
            else
            {
                // End:0x218
                if(HeroPoseActor.PlayerRank == 4)
                {
                    SetString("resultsString", class'FoxHUD'.default.LocStringFourthPlace);
                    SetString("placeIcon", FourthPlaceIconRef);
                }
            }
        }
    }
    //return;    
}

function as_SetClanTag(string NewClanTag)
{
    // End:0x2D
    if(NewClanTag != "")
    {
        SetString("clanTag", NewClanTag);
    }
    //return;    
}

defaultproperties
{
    HelmetHeight=35.0
    FirstPlaceIconRef="img://menu.t_firstPlace"
    SecondPlaceIconRef="img://menu.t_secondPlace"
    ThridPlaceIconRef="img://menu.t_thirdPlace"
    FourthPlaceIconRef="img://menu.t_thirdPlace"
    FurthestBillboardInfo=(Scale=100.0,Opacity=100.0)
    symbolname="billBoard_PlayerName"
    bWantsTeamColor=true
    BlueTeamColor="0xA7EFFF"
    RedTeamColor="0xCC9C70"
}